Present cross-wiki notifications as a beta feature to users
Closed, ResolvedPublic

Description

Users rely in notifications to support a wide range of daily activities. If we do a major change like introducing cross-wiki notifications, we may not want to expose the changes to everyone at the same time. Exposing changes to a more limited scope will be beneficial to get feedback and discover issues at a pace we can respond to.

Exposing this as a beta feature seems appropriate. Due to the global aspects of cross-notifications and the local support of beta features we are considering (a) mentioning explicitly that the enablement only affects the current wiki (more details below), and (b) facilitate task of enabling the feature on different wikis for the user (see T117669).

Beta feature info
Graphical assets:

Description:
Upgraded Notifications.
New features to better organise your notifications. Quickly check notifications from other wikis, and more.
This feature will only be available on the individual wikis that you enable it on, whilst it is in beta.

Other ideas explored on how to limit the scope:
Some options we considered (feel free to suggest more):

  • A beta feature. Beta features allow users to voluntarily opt-in (and opt-out when they have problems), presents the feature as an early development open for input and welcomes and facilitates feedback.
    • (Re: Local vs Global - Currently beta-features need to be enabled on a per-wiki basis. We discussed the possibilities of working around this limitation due to the context of the project. For example, allowing global enablement (the feature is marked as global and when users enable/disable it, affects all wikis), or some kind of propagation (when a cross-wiki notification is opened, the beta feature is automatically enabled on that wiki). We concluded that the technical issues would take too long, without an obvious context for re-use besides this feature, so we will stick with local-enablement. There are options for reminding users locally, discussed at T117669: Invite users to enable Cross-wiki Notifications beta feature)
  • Site-specific availability. Cross-wiki notifications can be initially enabled on a couple of sites, and notifications will be visible across those two sites. All users participating in just those two wikis will have the cross-wiki experience (feedback limited by the volume of users). Users not participating on those sites won't be affected. Users participating on those sites but also others, would get a mixed experience that may be sub-optimal (getting some notifications but not others without apparent reason). The selection of the sites can alleviate the issues: it is easier to understand that "notifications from Commons are now are visible in Dutch Wikipedia" than "notifications from German Wikipedia are visible in Dutch Wikipedia". The later seems more of an arbitrary language decision. Likely candidates include: Commons, Wikidata, Metawiki, MediaWiki.
  • Notification-specific availability. Cross-wiki notifications can be initially enabled for a specific kind of notifications (e.g., talk page notifications). Users will access a specific kind of notification regardless of their location. Since most users get different kinds of notifications, everybody will get a mixed experience.
  • A combination of the above.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Needs Triage.

After an initial discussion, it seems reasonable to consider a progressive approach: starting with a beta feature first (that will help setting expectations and provide room to break and fix things). Once the approach is working, we can expose the feature to more users by moving it out of beta for a set of meta-like wikis (mediawiki.org, meta, Wikidata, and maybe other candidates) which represent a reduced scope but also a consistent group.

Catrope triaged this task as High priority.Sep 30 2015, 11:18 PM
Catrope moved this task from Untriaged to Product/Design Work on the Collaboration-Team-Triage board.
Catrope added a subscriber: Catrope.

Another important decision is whether to present the beta feature as specific for cross-wiki notifications or with a more general scope. I think it makes sense to have some room in including closely related features (and avoid fragmentation and testing for all enablement combinations).

Considering the above, we can present the beta feature as:

Upgraded Notifications
New features to better organise your notifications.
Quickly check notifications from other wikis, and more.
Global feature. This feature will be enabled for all wikis.

Pginer-WMF renamed this task from Define how to expose cross-wiki notifications to users to Present cross-wiki notifications as a beta feature to users.Oct 2 2015, 12:32 PM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF set Security to None.
DannyH removed a subscriber: DannyH.Oct 5 2015, 10:58 PM
Pginer-WMF updated the task description. (Show Details)Oct 6 2015, 4:58 PM

Global feature. This feature will be enabled for all wikis.

Do we want/need it to be a global feature? If we make this a feature that changes the presentation of notifications (in a way that includes foreign notifs), then maybe we could get away with it not being global, but only taking effect on that wiki. For example, if you enabled the beta feature on eswiki, you would get the new-style notifications on eswiki, including notifications from e.g. frwiki; but if you didn't enable the beta feature on frwiki, you wouldn't see notifs from eswiki there.

Do we want/need it to be a global feature?

It is not a blocker, and it is totally ok to start without global support, but we need to be aware on the impact on the user workflows.

Following your example, the user that enabled the beta feature on Spanish Wikipedia gets notifications from French and German Wikipedias. In the process of checking the different notifications, the user moves seamlessly from Spanish to French Wikipedia through the notification panel. When the user checks again the notifications the ones from German Wikipedia are just gone.

In the example, notifications from German Wikipedia are not displayed in French Wikipedia because the beta feature has not been enabled there, but I don't expect to be immediately obvious when the user is focused on checking the different notifications.

The proposed approaches try to reduce that friction, but I think it is ok to start with the simpler approach.

Quiddity updated the task description. (Show Details)Nov 4 2015, 10:27 PM
Quiddity updated the task description. (Show Details)Nov 4 2015, 10:36 PM
Quiddity updated the task description. (Show Details)Nov 4 2015, 10:38 PM
Pginer-WMF updated the task description. (Show Details)Nov 5 2015, 11:50 AM

Change 256138 had a related patch set uploaded (by Mooeypoo):
[wip] Add cross-wiki as a beta feature

https://gerrit.wikimedia.org/r/256138

As I mentioned in the ticket description, we need to decide whether the scope includes only cross-wiki notifications or it is will also include other improvements planned for the notification panel. I created some text examples and illustrated them in context for each case:

For beta feature focused on the notification panel:

  • Upgraded notifications New features to better organise your notifications. Quickly check notifications from other wikis, and more.

For a beta feature focused on cross-wiki notifications:
I explored the possibility of describing the cross-wiki relationship emphasising both sides: accessing content from other wikis, and doing it from a single place.

  • Notifications from other projects. Quickly check alerts and messages from other projects.

  • Notifications in one place. Quickly check alerts and messages from other projects.

Note that during a meeting, we discussed the desire of having a clear, precise, and standard keyword, for referring to any feature. (e.g. for editors to refer to at the hundreds of local helpdesks). Especially given how the communities are accustomed to using technical/inhouse jargon, and appreciate specificity. Hence some endorsement of using the title "Cross-wiki notifications", despite it being less clear to complete newcomers. Discussion continues... (particularly related to the questions that Pau describes above, about whether the beta feature will only comprise this single major change, or whether it could/should potentially be an omnibus of various elements.)

Discussion continues... (particularly related to the questions that Pau describes above, about whether the beta feature will only comprise this single major change, or whether it could/should potentially be an omnibus of various elements.)

From my understanding, I think there was initial consensus on focusing the beta feature on the different improvements to the notification panel instead of the specific support for cross-wiki notifications. In any case, your point is still valid since we want to mention cross-wiki notifications in the description since it will be the initial improvement to be included. For example, we can adjust the description along these lines: "New features to better organise your notifications. Quickly check notifications from other projects (cross-wiki notifications), and more."

Having a clear and specific name for the feature is also important but challenging since it involves different pieces (although I consider them to be closer together than the "omnibus" term may suggest).

There are several aspects the different improvements share together that could help us to name the feature: (a) they affect the notification panel, (b) they increase the information and actions users could reach through it (users will be able to access events from other wikis and individual items in a bundle, which cannot be reached now), (c) help users to better organise their work.

Some possible names for the beta feature based on some of the aspects above:

  • Upgraded notifications.
  • Extended Notification Panel
  • Expandable Notifications.
  • Unfolded Notifications.
  • Notifications organised from one place.

We had a couple of chats about this, and I believe the agreement in the most recent meeting was to make this more general, like suggested.

The commit is ready to be merged, except for the text. @Pginer-WMF and @jmatazzoni, did we settle on the caption and text for this?

We had a couple of chats about this, and I believe the agreement in the most recent meeting was to make this more general, like suggested.

The commit is ready to be merged, except for the text. @Pginer-WMF and @jmatazzoni, did we settle on the caption and text for this?

Based on the above concerns, my preferred option would be:

Extended Notification Panel
New features to better organise your notifications. Quickly check notifications from other wikis, and more.

I think it provides some specifics (it's about the notification panel, and augments it) while still providing room to add different related improvements. It uses a name (notification panel) that may help to discuss about it but it does not seem too jargony. I'm happy to hear from other options about title and text in any case.

I think Pau's messaging above is on the right track. Here are some edits and variations:

  • "Extended" is more about making things longer. "Improved" seems more the meaning we're looking for. I'd be fine with any of these synonyms: Enhanced, Improved, Upgraded.
  • I don't think it's just the "Panel" we're improving. And I'm not sure "Panel" is a standard term users will expect (we're don't even agree on the team--I've heard "menu," "fly-out" and "drop-down"...)? Can we just say "Notifications"?
  • I liked "organize your notifications." But then I realized Pau is saying the notifications are better organized (not that you are organizing them better, which we really don't enable). So I tried variations that emphasize what the user can do -- "view and manage."
  • Nick raised the need to have a standard way of talking about Cross-Wiki as a feature, so I tried some wording that includes that phrase while also defining it.
  • Finally, I checked the Beta Preferences page, and some of the descriptions are quite long. So I tried variations that are progressively more descriptive (but still shorter than the longest on that page).

Some variations:

Enhanced Notifications
New features to better organize your notifications. Quickly check notifications from other wikis, and more.

Enhanced Notifications
View and manage notifications more easily. Includes Cross-Wiki Notification, which lets you see messages from other wikis.

Enhanced Notifications
A new design helps you view and manage notifications more easily. Includes Cross-Wiki Notification, which lets you see messages from other wikis.

Enhanced Notifications
Better organization, clearer messaging and new functionality help you view and manage notifications more easily. Includes Cross-Wiki Notification, which lets you view messages from other wikis.

Some variations:

Enhanced Notifications
New features to better organize your notifications. Quickly check notifications from other wikis, and more.

I personally like this one the most, especially the idea of 'better organize your notifications'.

And if we want to use "cross-wiki" specifically, then --

Enhanced Notifications
Better organization, clearer messaging and new functionality help you view and manage notifications more easily. Includes Cross-Wiki Notification, which lets you view messages from other wikis.

I like this one, with a couple of caveats:

  • I'd add 'alerts' too, so "... which lets you view messages and alerts from other wikis."
  • I would get rid of "clearer messaging" or (ironically?) make it clearer. I wasn't exactly clear what it means. Is it about the messages/text I see, or about the actual process of getting a notification/message? I think it's confusing.
  • I am not sure if I'm right or wrong here, but just pointing out that the Cross-Wiki Notifications look a bit odd capitalized. Is that a feature proper name? Not entirely sure about the rules of capitalization here, but it's my experience that MW tends to use as few cases of capitalization as possible...

Thanks Mori,
Re. your point:

I am not sure if I'm right or wrong here, but just pointing out that the Cross-Wiki Notifications look a bit odd capitalized. Is that a feature proper name?

I was following up there on Nick's expressed desire to feature-ize this, as it were. He wanted to make it into a thing, so we can debate and document it with users. I defer to Nick on the need to do that. But I think that if we do want to make it into a thing with an official name, then capitalization is the way to do that. (And if we don't want to make it into a thing, then we probably don't need the phrase at all.)

"Extended" is more about making things longer. "Improved" seems more the meaning we're looking for. I'd be fine with any of these synonyms: Enhanced, Improved, Upgraded.

"Enhanced notifications" sounds good to me.

I liked "organize your notifications." But then I realized Pau is saying the notifications are better organized (not that you are organizing them better, which we really don't enable). So I tried variations that emphasize what the user can do -- "view and manage."

The idea of "organize your notificaitons" was intentional. I think we are enabling users to have more control over the notifications (checking them without having to navigate to other wiki, moving them from read to unread to organise pending tasks) so there is some help for users when organising their work (or at least some frictions removed).

jmatazzoni added a comment.EditedJan 11 2016, 10:54 PM

DECISION: we had a meeting and decided the language of the beta feature description will be:

Enhanced Notifications
View and organize notifications more easily. Includes Cross-Wiki Notification, which lets you see messages from other wikis.

DECISION: we had a meeting and decided the language of the beta feature description will be:

Enhanced Notifications
View and organize notifications more easily. Includes Cross-Wiki Notification, which lets you see messages from other wikis.

I updated the patch to add this copy, but I changed it to sentence case, and changed "cross-wiki notification" to "cross-wiki notifications", assuming that was a typo:

Enhanced notifications
View and organize notifications more easily. Includes cross-wiki notifications, which lets you see messages from other wikis.

Change 256138 merged by jenkins-bot:
Add cross-wiki as a beta feature

https://gerrit.wikimedia.org/r/256138

after discussion, we decided to add quotations for "cross-wiki notifications," as follows:

Enhanced notifications
View and organize notifications more easily. Includes "cross-wiki notification," which lets you see messages from other wikis.

Change 263892 had a related patch set uploaded (by Catrope):
Tweak wording of cross-wiki notification beta feature description

https://gerrit.wikimedia.org/r/263892

Questions we have with @Quiddity:
Do a user need to activate this feature on multiple wikis to have it working?
If yes, should we add "minimum 2" to the beta feature description, to avoid the "it does not work" effect?
Is there some wikis from where you can't receive the crossed notifications?

Questions we have with @Quiddity:
Do a user need to activate this feature on multiple wikis to have it working?

My understanding is that if you enable it on a wiki, you'll view cross-wiki notifications from any origin from tat wiki.
That is, if I enable the feature in Spanish Wikipedia, I'll get there a cross-wiki bundle with notifications from Commons, Hindi Wikipedia, and Tagalog Wiktionary. However if I go to Hindi Wikipedia, there will not be a cross-wiki bundle there.

That is, you enable only in the receiving end. Thus, enabling in just one wiki is still useful.

Pau writes:

However if I go to Hindi Wikipedia, there will not be a cross-wiki bundle there.

So, this is probably obvious but I just want to make sure: will the beta feature option be offered on all wikis? I.e., in Pau's example, is it universally the case that I will be able to go to Hindi Wikipedia and enable the beta feature?

after discussion, we decided to add quotations for "cross-wiki notifications," as follows:

Enhanced notifications
View and organize notifications more easily. Includes "cross-wiki notification," which lets you see messages from other wikis.

I'm interested in the reasons behind this. Could you please share them? Having "cross wiki notif" in quotes suggests something like pseudo-cross-wiki now, I think.

after discussion, we decided to add quotations for "cross-wiki notifications," as follows:

Enhanced notifications
View and organize notifications more easily. Includes "cross-wiki notification," which lets you see messages from other wikis.

I'm interested in the reasons behind this. Could you please share them? Having "cross wiki notif" in quotes suggests something like pseudo-cross-wiki now, I think.

I have been recommending using the specific keywords "cross-wiki notifications" so that editors have something standard to use as a referent when discussing it. (Versus the alternative, of just explaining the new feature in a more abstract way)

We discussed whether to use Title Case (Cross-wiki Notifications or Cross-Wiki Notifications (singular or plural)), but some people pointed out that Title Case isn't a standard multilingual way to do this, and enclosing the keywords in quotations was clearer in other languages
.

Shouldn't the quotation mark of "cross-wiki notification," be on the left side of the colon?

I have been recommending using the specific keywords "cross-wiki notifications" so that editors have something standard to use as a referent when discussing it. (Versus the alternative, of just explaining the new feature in a more abstract way)

We discussed whether to use Title Case (Cross-wiki Notifications or Cross-Wiki Notifications (singular or plural)), but some people pointed out that Title Case isn't a standard multilingual way to do this, and enclosing the keywords in quotations was clearer in other languages

I'm sorry, but I don't see the added value in the user experience of stressing the concept's name by using quotes or title case. If you really want to put emphasis on the concept, you could consider using the <em> tag, which is used more often, or if you really want to go overboard, consider something like this maybe?

<em><span title="This is my explanation here.">cross-wiki notification(s)</span></em>

MGChecker asks:

Shouldn't the quotation mark of "cross-wiki notification," be on the left side of the colon?

MGChecker I'm sure means the comma (since there is no colon). And the answer is yes, that is what the Wikipedia MOS directs. Thanks! The correct sentence should be:

Enhanced notifications
View and organize notifications more easily. Includes "cross-wiki notification", which lets you see messages from other wikis.

(As a former AP- and Chicago-style man, it may take me some time to get used to that.)

Catrope closed this task as Resolved.Feb 13 2016, 12:30 AM

Change 263892 abandoned by Catrope:
Tweak wording of cross-wiki notification beta feature description

https://gerrit.wikimedia.org/r/263892